Subject: bug#19899: sed: fix mishandling of overlapping address ranges

From: Norihiro Tanaka <[email-masked]>
Date: Wed, 06 May 2015 08:39:56 +0900

On Mon, 4 May 2015 18:11:00 -0700
Jim Meyering <[email-masked]> wrote:

> [resending, to @debbugs.gnu.org, not @bugs.gnu.org]
> 
> Thank you Ethan for the report, and Norihiro for the patch.
> I've made adjustments to the patch, primarily to use the
> init.sh-based style of test case (permitting to add just one
> file for each test case, rather than 3 or more) and rewriting
> the commit log text and NEWS entry.
> 
> Norihiro, please sanity-check before I push this.

Thanks for review and ajustment.  I confirmed them, and found no missing.
The test also does work expectedly.